Bug 21701 - Make %add_perl_lib_path working
: Make %add_perl_lib_path working
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-perl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-09-24 21:17 by
Modified: 2009-09-27 07:15 (History)


Attachments
make-RPM_PERL_LIB_PATH-realy-useable.patch (2.13 KB, patch)
2009-09-24 21:18, Vitaly Kuznetsov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-24 21:17:59
Захотелось мне использовать %add_perl_lib_path в пакете т.к. в нём собираются
перловые модули в нестандартные места. Попытавшись использовать я понял, что
эта фича не работает. Т.е. RPM_PERL_LIB_PATH нигде не используется.

Я написал патч исправляющий эту ситуацию (attached). После чего я покопался по
истории пакета rpm-build-perl и понял, что я изобрёл велосипед т.е. такой код
раньше был. А теперь его нет. Какие противопоказания?
------- Comment #1 From 2009-09-24 21:18:33 -------
Created an attachment (id=3936) [details]
make-RPM_PERL_LIB_PATH-realy-useable.patch
------- Comment #2 From 2009-09-25 04:57:41 -------
Что именно не работает?
------- Comment #3 From 2009-09-25 10:24:38 -------
Не работает конструкция %add_perl_lib_path /path/to/directory в спек-файле, 
/path/to/directory не попадает в @INC
------- Comment #4 From 2009-09-25 23:58:58 -------
Посмотреть спекфайл а лучше сразу git.
------- Comment #5 From 2009-09-26 18:59:37 -------
прошу,

git.alt/people/vitty/packages/389-ds.git
------- Comment #6 From 2009-09-27 07:15:53 -------
rpm-build-perl-0.71-alt1 -> sisyphus:

* Sun Sep 27 2009 Alexey Tourbin <at@altlinux> 0.71-alt1

- PerlReq/Utils.pm: fixed RPM_PERL_LIB_PATH for whitespaces (ALT#21701)